---
title: "Get Ask Markdrop's home"
description: "What the home's Ask box shows: status (whether AI can answer now; when it can't, reason and message say why), suggestions (ready-made questions, each with its…"
canonical_url: https://docs.markdrop.in/api/ask/get-ask-markdrop-s-home
last_updated: 2026-11-05
site: "Markdrop Docs"
index: https://docs.markdrop.in/llms.txt
---

# Get Ask Markdrop's home

`GET https://api.markdrop.in/api/v1/ask/home`

What the home's Ask box shows: `status` (whether AI can answer now; when it can't, `reason` and `message` say why), `suggestions` (ready-made questions, each with its `intent`: `catch_up`, `my_actions` or `ask`) and `recent` (your latest conversations).

- **Authentication:** API token required: `Authorization: Bearer mdk_…`.
- **Rate limit:** 120 per minute per IP address.
- **Guide:** [Ask Markdrop](https://docs.markdrop.in/workspaces/ask-markdrop)

## Responses

- `200`: OK.
- `401`: No token, or the token is revoked or mistyped.
- `429`: Too many requests from your IP address. Wait the seconds in `Retry-After`.

## Examples

**curl**

```bash
curl https://api.markdrop.in/api/v1/ask/home \
  -H "Authorization: Bearer $MARKDROP_TOKEN"
```

**JavaScript**

```javascript
const res = await fetch("https://api.markdrop.in/api/v1/ask/home", {
  headers: {
    Authorization: `Bearer ${process.env.MARKDROP_TOKEN}`,
  },
});
const data = await res.json();
```

**Python**

```python
import os

import requests

r = requests.get(
    "https://api.markdrop.in/api/v1/ask/home",
    headers={"Authorization": f"Bearer {os.environ['MARKDROP_TOKEN']}"},
)
r.raise_for_status()
print(r.json())
```
